commit:     bd4079cd6189e89ff4b0f324c5903ca950730a5b
Author:     Nathan Phillip Brink <binki <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 26 03:47:27 2015 +0000
Commit:     Nathan Phillip Brink <binki <AT> gentoo <DOT> org>
CommitDate: Sat Sep 26 03:47:27 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd4079cd

dev-util/geany-plugins: Add geany-plugins-1.25 for bug #555330 thanks 
vityokster, M8R-u38wij.

Package-Manager: portage-2.2.20

 dev-util/geany-plugins/Manifest                  |   1 +
 dev-util/geany-plugins/geany-plugins-1.25.ebuild | 127 +++++++++++++++++++++++
 dev-util/geany-plugins/metadata.xml              |   3 +
 3 files changed, 131 insertions(+)

diff --git a/dev-util/geany-plugins/Manifest b/dev-util/geany-plugins/Manifest
index e6b8972..42cf2f3 100644
--- a/dev-util/geany-plugins/Manifest
+++ b/dev-util/geany-plugins/Manifest
@@ -1,2 +1,3 @@
 DIST geany-plugins-1.23.tar.gz 3642803 SHA256 
b0e79c1cd679a5b5f02632922920478a1047c3a5985982a1cc2348fa7e4454c4 SHA512 
68ba0c96712cd6ea944ff68810378a96a411717a0950bfc72f5aade36bf6e5b065d229beec3b5724921c2eaf4ddb73a19f4ae77137a96208fef52f739d65c6ef
 WHIRLPOOL 
56e54586611f8e804059b489d54d2e3970f9cf7c958e99169eeee96472c2d7848aa446bc74a150bd32ec18aa6daaba030939facaada376327fea5e90e2a15e9c
 DIST geany-plugins-1.24.tar.gz 4037065 SHA256 
2e5fa09afe7710cdc2eebae3656d56561429d5df8898c6b5dc91915f15aec0fc SHA512 
947bdf8bd602ae5576d3298029d7249ac40881c13cb3676123c92f4b183be200126d0e19e5c0697c237e5a8d3d9f2d7d715b0cd562f98a059af9fa5d4f3e611e
 WHIRLPOOL 
4386cedfef05c5f4b0bb218122b20a84167bc0b2e43b06bf080ac21dd111b57d9fbf770af78d16394d0ee01592849fae8466e8467bc05176fafd331ba0f7d2a7
+DIST geany-plugins-1.25.tar.gz 4425813 SHA256 
0114042ed82feacbc1ad8c9e88dfaf6d109d01470429193c6f973079871b4615 SHA512 
c0a9100e212fcf804e3013fec70a46cb925f48d3a88c4aea3ca50ddeeeacb3ec7b175d89dd041a47be2d4c5d84f31564da19d0c383a40b2811530113d061e761
 WHIRLPOOL 
1daa0e2b45470bf0dc30053b5e4d1da2a2dde26ffd073d8dbe806256172c39d3f60686944bca1789555330574895eb388cfcbccee461b58b80cb28c33b905f88

diff --git a/dev-util/geany-plugins/geany-plugins-1.25.ebuild 
b/dev-util/geany-plugins/geany-plugins-1.25.ebuild
new file mode 100644
index 0000000..d12b742
--- /dev/null
+++ b/dev-util/geany-plugins/geany-plugins-1.25.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools-utils python-single-r1 vala versionator
+
+DESCRIPTION="A collection of different plugins for Geany"
+HOMEPAGE="http://plugins.geany.org/geany-plugins";
+SRC_URI="http://plugins.geany.org/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+autoclose +automark +commander ctags debugger +defineformat devhelp 
enchant git gpg gtkspell lua markdown multiterm nls +overview python scope soup 
webkit"
+
+LINGUAS="be ca da de es fr gl ja pt pt_BR ru tr zh_CN"
+
+COMMON_DEPEND=">=dev-util/geany-$(get_version_component_range 1-2)
+       autoclose? ( x11-libs/gtk+:2 )
+       commander? ( x11-libs/gtk+:2 )
+       defineformat? ( x11-libs/gtk+:2 )
+       dev-libs/libxml2:2
+       dev-libs/glib:2
+       ctags? ( dev-util/ctags )
+       debugger? (
+               x11-libs/vte:0
+               dev-util/geany[-gtk3]
+               )
+       devhelp? (
+               dev-util/devhelp
+               gnome-base/gconf:2
+               net-libs/webkit-gtk:2
+               x11-libs/gtk+:2
+               x11-libs/libwnck:1
+               )
+       enchant? ( app-text/enchant )
+       gpg? ( app-crypt/gpgme )
+       git? ( <dev-libs/libgit2-0.23.0 )
+       gtkspell? ( app-text/gtkspell:2 )
+       lua? ( =dev-lang/lua-5.1*:= )
+       markdown? (
+               app-text/discount
+               net-libs/webkit-gtk:2
+               x11-libs/gtk+:2
+               )
+       multiterm? (
+               $(vala_depend)
+               x11-libs/gtk+:2
+               >=x11-libs/vte-0.28:0
+               )
+       python? (
+               dev-python/pygtk[${PYTHON_USEDEP}]
+               ${PYTHON_DEPS}
+               )
+       scope? ( x11-libs/vte:0 )
+       soup? ( net-libs/libsoup )
+       webkit? (
+               net-libs/webkit-gtk:2
+               x11-libs/gtk+:2
+               x11-libs/gdk-pixbuf:2
+               )"
+RDEPEND="${COMMON_DEPEND}
+       scope? ( sys-devel/gdb )"
+DEPEND="${COMMON_DEPEND}
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       # bundled lib buster
+       rm markdown/peg-markdown/markdown_lib.c || die
+
+       autotools-utils_src_prepare
+       use multiterm && vala_src_prepare
+}
+
+src_configure() {
+       # GeanyGenDoc requires ctpl which isn’t yet in portage
+       local myeconfargs=(
+               --docdir=/usr/share/doc/${PF}
+               --disable-cppcheck
+               --disable-extra-c-warnings
+               --disable-geanygendoc
+               # peg-markdown is bundled, use app-text/discount instead
+               --disable-peg-markdown
+               --enable-geanymacro
+               --enable-geanynumberedbookmarks
+               --enable-projectorganizer
+               --enable-pretty-printer
+               --enable-tableconvert
+               --enable-treebrowser
+               --enable-xmlsnippets
+               $(use_enable autoclose)
+               $(use_enable automark)
+               $(use_enable commander)
+               $(use_enable ctags geanyctags)
+               $(use_enable debugger)
+               $(use_enable defineformat)
+               $(use_enable devhelp)
+               $(use_enable enchant spellcheck)
+               $(use_enable gpg geanypg)
+               $(use_enable git gitchangebar)
+               $(use_enable gtkspell)
+               $(use_enable markdown)
+               $(use_enable multiterm)
+               $(use_enable lua geanylua)
+               $(use_enable nls)
+               $(use_enable overview)
+               $(use_enable python geanypy)
+               $(use_enable scope)
+               # Having updatechecker… when you’re using a package manager?
+               $(use_enable soup updatechecker)
+               $(use_enable soup geniuspaste)
+               $(use_enable webkit webhelper)
+       )
+
+       autotools-utils_src_configure
+}

diff --git a/dev-util/geany-plugins/metadata.xml 
b/dev-util/geany-plugins/metadata.xml
index 0f39490..afa89be 100644
--- a/dev-util/geany-plugins/metadata.xml
+++ b/dev-util/geany-plugins/metadata.xml
@@ -7,7 +7,9 @@
   </maintainer>
   <use>
     <flag name='autoclose'>Enable the autoclose plugin.</flag>
+    <flag name='automark'>Enable the automark plugin</flag>
     <flag name='commander'>Enable the commander plugin which provides a 
command panel for rapid access to any action.</flag>
+    <flag name='ctags'>Enable ctags plugin</flag>
     <flag name='debugger'>Enable the debugger plugin which interfaces with 
<pkg>sys-devel/gdb</pkg></flag>
     <flag name='defineformat'>Enable the defineformat plugin.</flag>
     <flag name='devhelp'>Enable the devhelp plugin which integrates 
<pkg>dev-util/devhelp</pkg></flag>
@@ -16,6 +18,7 @@
     <flag name='gtkspell'>Use gtkspell for dictionary support</flag>
     <flag name='markdown'>Enable the markdown plugin which uses 
<pkg>app-text/discount</pkg> and <pkg>net-libs/webkit-gtk</pkg> to display a 
realtime preview markdown.</flag>
     <flag name='multiterm'>Enable the multiterm plugin</flag>
+    <flag name='overview'>Enable overview plugin</flag>
     <flag name='scope'>Enable the scope plugin which is a graphical GDB 
front-end</flag>
     <flag name='soup'>Enable updatechecker and geniuspaste plugins which 
require <pkg>net-libs/libsoup</pkg></flag>
     <flag name='webkit'>Enable webhelper plugin which requires 
<pkg>net-libs/webkit-gtk</pkg></flag>

Reply via email to